package jcg.zheng.demo;

public class DataUtil {

    public static final String DEMO_LINE = "Demo a new line. ";

    public static String STRING_WITH_NEWLINE_VIA_ESCAPE_CODE = DataUtil.DEMO_LINE
            + "DataUtil.getNewLine()" + getNewLine();

    // JDK 1.6
    public static String STRING_WITH_NEWLINE_VIA_LINE_SEPARATOR_PROPERTY = DataUtil.DEMO_LINE + "line.separator"
            + System.getProperty("line.separator");

    // JDK 7
    public static String STRING_WITH_NEWLINE_VIA_LINESEPARATOR_METHOD = DataUtil.DEMO_LINE + "System.lineSeparator()"
            + System.lineSeparator();

    // Prior JDK 6
    private static String getNewLine() {
        String newLine = null;
        String osName = System.getProperty("os.name").toLowerCase();
        String osVersion = System.getProperty("os.version");

        if (osName.contains("mac")) {
            int osV = Integer.parseInt(osVersion);
            newLine = osV <= 9 ? "\r" : "\n";

        } else if (osName.contains("win")) {
            newLine = "\r\n";
        } else {
            newLine = "\n";
        }

        return newLine;
    }

}
